# Exports

Datasets provide a persistent, version-controlled store of data and their metadata. Datasets can be queried and analyzed within [workflows](/reference/workflows.md), and in most cases it will make sense to first perform initial analyses on Redivis before downloading data (particularly for larger datasets).

However, in certain situations you may want to download some or all of the dataset contents, or its metadata, for future reference and analysis on external systems.

## Download metadata

Top-level metadata about the dataset can be downloaded by clicking on the **Download metadata** link in the [dataset overview](/reference/datasets/overview.md). Metadata can be downloaded in the DataCite, Schema.org, and Redivis API schema specifications.

## Download citations

From the [dataset overview](/reference/datasets/overview.md#the-dataset-page), click on the **Bibliography** button to view a full bibliography of your dataset and its data sources. You can copy or download this citation information in APA, CFF, or BibTex formats.

## Download and export data

Any table within a dataset can be download or exported to a supported environment, or read into another environment through the Redivis API, pursuant to any [export restrictions](/reference/data-access/usage-rules.md#data-exports) applied by the dataset's administrators.

[See the full documentation on exporting tables to learn more.](/reference/tables/exporting-tables.md)

## Extract content via the API

The [Redivis API](/api/master.md) (and [Python](/api/client-libraries/redivis-python.md) and [R](/api/client-libraries/redivis-r.md) wrappers) provide numerous methods for interfacing with a workflow and its contents, and in many cases will be the most flexible mechanism to extract workflow metadata and data from external systems.

*For editors:* [*How to create and edit usage rules (including export restrictions)*](/reference/data-access/usage-rules.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/datasets/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
